<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$reciCode = $bbdd->checkParameter('reciCode',true);

//Comprova que s'hagin validat els paràmetres
if ($reciCode !== 0) {
	
	//Realitza la consulta
	$result = $bbdd->select("Recipes.reciIden,Recipes.reciTitle,Recipes.reciText,Recipes.reciRations,reciTime,Images.imagPath,Recipes.reciCategory,RecipesCategories.cateName",
	"Recipes 
	INNER JOIN RecipesCategories ON RecipesCategories.cateIden=Recipes.reciCategory
	LEFT OUTER JOIN Images ON Images.imagIden = Recipes.reciImage",
	"Recipes.reciIden = '".$reciCode."'");

	//Comprova que el resultat de la consulta no sigui nul
	if (!empty($result)) {  
		//Comprova que hi hagin resultats
		if (mysqli_num_rows($result) > 0) {  
			$response["success"] = "1";  
			$response["message"] = $bbdd->resultsToJson($result);
		} else {
			$response["message"] = "No s'han trobat resultats.";		
		}
	} 
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>